
Redmine - Defect #10263

TimeLog module throwing 500 internal server error

2012-02-17 22:10 - Lord Nynex

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.0

Description

Subject really says it all. This is caused whenever an issue is updated with 'log time spent' updates.

This is proving to be a difficult issue to google for.

I'm completely new to Ruby so please excuse me if it's something stupid obvious.

Processing TimelogController#create (for 64.1**.*.** at 2012-02-17 06:16:38) [POST]

Parameters: {"time_entry"=>{"comments"=>"", "issue_id"=>"20", "activity_id"=>"9", "spent_on"=>"2012-02-17", "hours"=>"2"},

"back_url"=>"http%3A%2F%2Fredmine.****.com%2Fissues%2F20", "commit"=>"Save", "project_id"=>"classified",

"action"=>"create", "authenticity_token"=>".........", "controller"=>"timelog"}

NoMethodError (undefined method `group_by' for nil:NilClass):

app/controllers/timelog_controller.rb:121:in `create'

passenger (3.0.11) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'

passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_application'

passenger (3.0.11) lib/phusion_passenger/utils.rb:479:in `safe_fork'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:180:in `start'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.11) helper-scripts/passenger-spawn-server:99

Rendering /www/site/redmine.****.com/public/500.html (500 Internal Server Error)

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.8.15

Rack version              1.1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /www/site/redmine.****.com
Environment               production

Database adapter          mysql

Database schema version   20111010202847

/www/site/redmine.****.com/lib/redmine/about.rb:7:in `print_plugin_info': undefined method `length' for :"cmi.plugin_name":Symbol

(NoMethodError)

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `map'

from /www/site/redmine.****.com/lib/redmine/about.rb:7:in `each'

from /www/site/redmine.****.com/lib/redmine/about.rb:7:in `map'

from /www/site/redmine.****.com/lib/redmine/about.rb:7:in `print_plugin_info'

History

#1 - 2012-02-18 20:58 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Can you give a try without plugins?

#2 - 2012-02-18 23:01 - Lord Nynex

Jean-Philippe Lang wrote:

Can you give a try without plugins?

 I was actually wondering about this myself considering the CMI plugin error. I was nervous to remove plugin directories because some of the plugins

modify the DB. Will it suffice to remove the plugin directories and run rake to 'reload' modules?

#3 - 2012-02-19 17:06 - Jean-Philippe Lang

I can't guarantee. First, backup your database, then remove the plugin directory and restart.

#4 - 2012-02-21 18:32 - Lord Nynex

- Status changed from New to Resolved

As suspected this is caused by the CMI plugin. Removing it did not cause any issues with the redmine isntall as a whole and I am now able to update

issue time log. Thank you!

#5 - 2012-02-21 20:37 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution changed from Cant reproduce to Invalid

Thanks!
